Download it now!
Bug 65609 - UI the dialog Tools > Autocorrect has extreme width when large texts are marked/used for replacing
Summary: UI the dialog Tools > Autocorrect has extreme width when large texts are mark...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.1.0.1 target:4.2.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-06-10 13:05 UTC by Cor Nouws
Modified: 2014-01-19 22:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screeeeeeen shot :) (31.46 KB, image/png)
2013-06-10 13:05 UTC, Cor Nouws
Details
even larger screeeeeeeeeeshot :-) (310.94 KB, image/jpeg)
2013-07-31 17:32 UTC, tommy27
Details
autocorrect database with long entry that trigger the bug (1.66 KB, application/octet-stream)
2013-07-31 17:35 UTC, tommy27
Details
autocorrect database with long entry that triggers the bug (1.66 KB, application/octet-stream)
2013-08-01 05:11 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2013-06-10 13:05:47 UTC
Created attachment 80623 [details]
screeeeeeen shot :)

- writer
- some dummy text (dt, F3)
- select more lines
- Tools > Autocorrect ... tab Replace
  > the width of window is extreme, 
    because of the large text that is marked
    Same problem when such a large text is added as autocorrect and is
    part of the list
Comment 1 Cor Nouws 2013-06-10 13:06:27 UTC
New & regression
Comment 2 Commit Notification 2013-06-10 13:32:30 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d3c17f11c8ee3c78be81fa7b85617f92852a3aa5&h=libreoffice-4-1

Resolves: fdo#65609 don't use whole text for optimal width


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2013-06-10 13:32:50 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=11c89fe5fb40adf3d205c666e7b5d202c1dd314b

Resolves: fdo#65609 don't use whole text for optimal width



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Cor Nouws 2013-06-10 13:57:39 UTC
(In reply to comment #3)
> Caolan McNamara committed a patch related to this issue.

thank you :)
Comment 5 Tomaz Vajngerl 2013-06-10 17:37:39 UTC
Comment on attachment 80623 [details]
screeeeeeen shot :)

>PNG
>
>���
IHDR��H�����ò¹2���sBITÛáOà���tEXtSoftware�gnome-screenshotï¿>�� �IDATxìÝwxSÕû�ð÷ìî6Ý¥¥»¥eï½7
>2EAqëWý¹
> ¸À-È^E@öe¯2º÷HÓ4ëóû#i¶I£-¾§O{sï¹ï	ysνaFö	 Õê4rad2©D"áy®ýë@ôE�+Q¸9ØzA®D-r÷qãÕà8¦^ç¡TÐi´å:£Q å8±D¢ëyø]a#rbT&Î~mësïUIüý!B!ЧÚ{L«ÕQJy´ÅZå\]]$qcNEô%ÐéUOµá ìØW/ý"v¬#·§T¯2vøpù¬HÈY÷ÆÛÕR_wjN}©^Ùíá1#z¶	QÊX e9)gî^¿ór¹Xtr{Sb":�"ºIw&Â1÷ñ£B!B »SÆZ­677ßÁA!ÉDb1�èt:N_àáî&Jz&£Fð÷P�@Ñcl¯5ó"9�@¾¤°Ü�ÜE¡àA_ZZ¢£Xáæ�À0+¦X¥á¥n.�è5Ú²r°T&sq�C)ýÌ/õó°Qxöê~aãTlÿ@J´eÚr½ÑH(�0ØÙE"TÛâ,¡ZmY¹ÑH)Ãr¹ÌAbIÍ©A«-+7
>ÃK%¬ÄFäÒ¢KI{;§îMÔÉÄbÆÍB!B¡ºÙ±7%%¥
>T:eÊäNíÚÀsçW®^M	-..qwwkØ|bÔ"fQÝÊ)ÇóûgcQp@¥´ã§kuo|¸5
õÝo}Ú/g}
>Óñ^þ2�R×¼øþ!#¯UÃF==uxç`gÖPrtÛº?¤ó¼¡LÒùÕYý<� çß?Vüu:µÈ(UE°×Ä")5Ú:PÁt'ÍÞ),H©à�ÊÓ÷Ïýxwõ-Û¥#6¢c «/H>·jE|DÊ3Ñ1~ý¦NÝ-J)CñµÝKçý]3ò¥¢ÈqÓuäUìÄåÙF½N1ÚfwÔ©!B!þ;x+ñµZ=¡T*=1ýñèÈ°²25�Ķz|Ú´å+Vê
òr­¢þ§!:½CQÝä�·¶.]×zöÛÝ=üë·"Õ¯Ciq©ôùÂ1
úij¹�P¹ô⽧O>ø+ÓàØù¡�¸µâë%Kä"S^r:x)z»fë9Ûð�`ÐE2¶XÅ(ÇUÙ¢o5õýYÜjÁÁ=lЬw]õï.JÔK	õ?ûó¼�A¹8ë5[[UrþþûCjhpÔçþ!B!ð�62{b/ñíÛ¶Q¨X�VÛ!6f
/D`´y mèCÇDp@.ïL¸u%åpq÷.î°v~¢×R塸OfoÌXØI:Q÷©Ü�ÊO-ýpÑ¿%Þ#Þ\8=,`ôøØßóhí	�{êBH&æX�`xÏ�1h{Û9ðÛSFÓT{?|óç$+°lõï9_¹d¬}ûÓM·ÏÁï|÷thÇÑã»özr7áâòÏæïNÕÔI¬¹UÝ\º?>ÄVÇ$õº³ B!B!d{)>Dz,Ã��Ã0Ô]3¦ß(ÏsÃÔr×½ê½àÛw?þÂÄA[¶ÿPþ=bGvv9~X+ª²î¼Z¡V2RG¹jÔòA1­�@{qÇbuôÀõéa¢V1ì9ËÞ�@«ÄHc-&dVHâ¨sB©¾rXÆqQ­��ü&}ñÓ$Ë#.~®¼Pê×.ÐÛ|(wtpc)¡Æ¬«&ò±W`ÁÕø!B!êÅöR|H$Ñ(¿t%"4X§ÓD"={á¢Á(°,Çó¶´µ|ðÐÞJ�·{ãß+i=¸×¿[Ê�ÀI¹ª=ÌçaRJ(C)Xò}Ê�PSoÂèÓ
>Á³C
ûT"Ç2@`X[ÛUNK¡Fí(e8� àÄ®9Æ­êäÀô¥Ã�¥@	lõÈ«}ha¯@Ë3P3�B!BÈÛKñårV«eæ×ß:ir§í�àôÙó«V¯âyÇ1Äh4Ö<Ð*èE¡#z8�Q(��Ã*\$à5h ïµÀi¤îÑÎ䶪ÊÑzM�À¹ûJôé*=/UH9CÆÅTh"ÕÅeÑáBÀv)Oà4çÝ2=e~åÖÓiE³OxgÞ©Ä\»æ«NÓêÍÂpBöµL
�yÎñM»S5x'¢Ör<ÉIÊXiìèîÊEÿdHáÄ35#U)Òh¯@åëB!B¡ÿ6ÛKñe2kvvX$Z¿qöíÛ¦\#	¡^^Þ:V¥RÕ<°&j0Ûê$ IKިĴH^òäó¹¸÷ê×zýÊÛBêÁ3åÝ{ÈÂf.X5EËH¥G3¼!=!vuzmñrQ\þïÿ·.]bõѳºt~áË5Ï°��Y;6Ó¤Â}K7õøì0ÞoЬ·Íª(I{zîK?^)±w Ö÷ø§Òª¹5ÃñGÖþFOØ'>^þÁ@D"V0ïÕ¯¯s|ÁÑ
	#^ë*ïôì¼Õ³+b~5'©FäkoX]:OóíHv¿!B!ªkXs«N§'FEE;::99;»¹º9;;;9;¹»yxyy¨Õêz­§Ô ¶âñÞ,¹÷ëþ\\,$¼± ÀeÀ TÉ_<P,ä»TâÖªµ¯\̳TW}ûÜñ§RËyöæ4iPHR.1ñG/«8&/ñØ5âÔÊËYÂ%·ãã~þjëmp,ñ¥IÝÐ)Ü<Ü]Å�)Ï¿}>þôùä5м36dÔ½×>¬îÆÁ½gT,ÏPCÕ-1=!>IpóõQºÉDCÔ9)N¾ZHEbCÚñ¿¯ÒYʳ´<3ùÒñÓÉIç3ªD~äR({Wy®LÈ>i»@oB!B¨~zÛ{L.{yyzx(YÍÉÉNI¹«Ñ5àr�Àä\å=áªÌHDrJ^kÐ	¥�À0,ÃE21Ë�P*hË
z#�ãårétÞ Õ0¬HbÞÙÎ`0Á¼ðåxN*á¹Z¤¤L­3RF,ÊLæ6¶PÞ 31+J$¼é}jÐtzA �À°"^!ãCÕ2k+!B!ª3 ¿ÝÄ!B!BÍíkìB!B!Ô"ؾ+>B!B!Zú=B!B!\B!Bµ`¸!B!jÁp)>B!B!ÔñååÚ¦!B!BĨJ:B!B5ÛÔ B!B¨ñ0±G!B!Z0LìB!B¡{B!B¨ÃÄ!B!jÁ0±G!B!Z0LìB!B¡{B!B¨ã:�þ+Tª|£ÁÐÔ ÌxÈÕÅÕÅÕ­©A!º#ª¤¸©c@èÁi??G'ga(¥1ýB)µüºs¦çåezÞYÿ^ª*ÉÎÎb�¼}|6TB¡;3öÝsȨ6¦?	!�`É7!ÕR}Ð]A)µ<³,é½é	hâèäìèä|þìi¦L.W4M!Bw¯±GèËÎÊ	·üÉ0%«·$M&BSJozZ¶X&êkn	jÖT¡"BÝ9îÝwßiêÐÝ@57ÆýäêÌ5u,¡øôú_6§úµsj\Ûfggµ
>jm'4eï5ÿµ~´´ìúî5¯8·	wi@HBaÂß­»åß)ânÇ Ï8°z* ÌKÚë
¨6ýðú]­¢¼%x¹²)õÖMgzîlýDJe·n¦xyy߸B!î¹8c¯¿±êϨj¶SÖR]nÒ3·Ô¤îÃîQ_Ý»m﹡AG5ÿƼswÞ¤4åøóF7­\úK¨iÐú_Ó!Äç×AP]Ú¾iÇé|CÝ»V9*éèÑ3©¡AGÝ¥ô©[¿üþï³¹
ÙZù­#«þPL]ú¯!B,O1[?5¤!B-9±?¾`ÆYK.hª<F
>~4mÚ+koë 0û©¯¯Ò¡ùÞÀ:BÃí­_/úãx¡±©²­ù7æk]@hÅEõ¤ä·Æ>üÌÒER0ÿÒ7¼8îÑÏ5õIéÍL7"ÓiÔAw):±|Ãí )Ïöó`Iñ?oûÌEV0Ò7¼0ö±¹eRÓ¯íÈ1ZM<î¹ÁüÑß6ßÐݵ* JÍáX^^þóÏ?i*nV?²<IB!Z(sb3¸­Dszß5µÕ¤Ppê@2õÐÇOÜ4±Ù!òöúçL
>7Ûõ¸Í?BjKf5g��9»çÍÙR.XîíeÊ·kW´9ÓØÐC}ÔfÌ9¼é4Óub?/¾âÀÜ=ó?ÛxCKìf£dF1öáÀܽ.Õ>?øChy¹fÉÔêÒ%K~Ðh4ɵóH#8cB¡Ì<Së9¤£üôé½WJÛwq2åxƼ7¡Õ´^<Ïo[¶jç©´2z·:õ©	Ýx¢:¿þ§ÕG®¦é�ĭƼ1>gÑâä~s¾"�Ð[üâ´QóçO`r~7oebïÚçÑgïë'a\þÝÚ·²Kt@¬4yÖ¤nJ)&¢NÚ½rå×
�"'n_z¢kÌüë·¶½·ä¥hIãJ°n�ÛU«µX}Ò¯ÿûô|¿¹'µæÌÜg©üö³AnU"�ümï=¹
�ÀoÒnùßgG¬×F>ÿÃ'=«;W¬Üp³DxµðÈô=ý$ÔÑDúÜ_»ïbqðuËp­½^ÕºìÃO'wÜyc6²
5ç¾yùƯüÍÖ��¢²ýPͪM
>²þ@ʺæQÚ`´=P­PUâ÷ï-¾öÒü»ºÔûB"ççÁôkLPæêÏ	\ôb¶òZ_ó족èLÜ/Ëÿ>ªO3ÔÙ�}NüWì>­eýÃÝòÜk=¨Î¬þöÏWniÄã?ÿb"g9cξEüq2»ïÞòK3úK E'~ýjÅñYÅZ
> ñ:ýÅi==+¨ööÞ߬;\$Ä5ò¡w?bÕþBÁ©7%±S¢À2Eê¹æó¾ØÅ
�­C°þ�Svë°|ýþdMvòú¶>úÏ V£'33s͵YYY¦?øá^xA.YF¥ÔòÝ�@LìB!ÔU,Á
ëéÿÏÞ%{¹0�`Ì9q0ÕUÉ뮯3·dðô7fú=ËV~õÃVªo:î<úYm]A£w
>É	çÎÍ5øó�úôSI:·¼D�Ô)¬ß£/usdËn\¾âÅÊÐyûñDqéZûÃ/=©®îYù×·]~2ÚÐßÚüùÇqmFOÿ¿X%_zeÃÒ-ÓËHµ´üNKÐ]_o³jµÛ.}_~c¤/ÄE)?öÉüQ�óãùjK^!Q¢ÛqÌÙ\Ú~ܬ7Ã$¹§þZµäã\øâµ^n\-¤K+æ|sé<á¹é!²Ç·lL®«^ÕºÌSÅwÜnCYpOÞûÜvkÞîC¤fÕìvíiw{U
¿q}Åd`EÖáÑ÷O~1{ÑÂÖ?åÇ4%%Ú¤ÌÙ!6ó½gë;]6o¾Ã·söÑ]üý/÷0]'½23L®N9·öZEcçOUÊñ3i®c_y±½;éÜ<y_y&`ÃLþß7G¶,eßo¿/Yà¾è^(K;9ÛýW_v
>/ïX¶iá×ïæ=ìË-³>mË?þ+{èÅO{ùr¥9ùR®JJ^~;1
üJ©ùZ��ðèûÊôÐ~µ(xáì¾"ëF0k¦q.ÑÎåç³um[7¯D¨ ´òc2×_­b;e�¬Ç¥aʲ,�3ö!jÑ,9¤õà^ûþÚs¦¨Ç�7GeÛMìäʨNnØüø×Oòà�"Z±WÏ.<t*oø��OÛ.íÌóÒÔ©O¿äÄÙüý½y}ú³*ÝýÄ�ÀHý;öô�0?Ýc?O+ÈÏÑtb¯6ÛGK�bZ^þ-þj¤£¾¸áï4¼>)RÆ�è¸Ã-7íÔ¡Ñ%PÕ¹Úªf«ØÆÝlwöñ¨ÈCÜüÜ�ôÛÛ~Û}ØûÏö\Y´=Ã}ÄÇÿ*Ø0EΫK6ìKïúX c¿¥ç·*ò|xîKãZ _éñ£kêS/«.cqµPÚwÐCã«¿ð­Öh¥»°¡ö²®Zm]�¶$SÛ@5íÔñåV4¬ûm\¾ËÈ£&½ûTòë¿-X6rk¨¢.9³vgNÈ%O
Sr�QÜåĹNätsãþB¯G¾öh�bJþ»¢ÖCF�ú¶ïÖ!Fj*Ýo, Kï���Ð;üÍÙÛñþN¦öñíÜ1F
>Ð6X8ÿÌG/ñugJÏÚAPç<¢]ÇèPB«×ßXoúyÉ«<EÔÄwJú¿ß¬7%¸~MÉ»ø»ÂÔb#�&ö¨ �6®8²|õ^cB¡­r2RäÛwDðæe{çöéMnø7סûÓ1áƵ-üãÕÇÿ¨<Ì1»T�je1Î1#Eß=[0b¸kÖ®ÝúCëóNnùsó«K
@Cô5ïdÆ*||àZ~�n4ïrª^Ù½µ¬!×~7´C~½ªf]ì]úªKÙ²xõ
ÿÇ>­0Þ¼|[/ì`ÎHYÇÈÎ~°üJ*ìW0?9CGÅzÕLoêY¯ÚÕ³1ï¤
m&o­½Öð)¬oCÕÅÞ¬×@m"�
>´â¢^Âyyå¯/þòÏ/·¢Ë½f ¿<ÿØ/;fhr®¦ò6±¼ibZ×!zâ@Í»TÌEÓ|¹i>7!nÙ/gäk@.3�
Õ!¦-Gɼ}àj^©¸Rû1H[~¤íes^¸ÙmÈ°ÃúF{­ +3�/åÌ×1SSÎ{ð+/\ø¿Åÿ?�"°
>´úã¤"0k`E5PjïRyË7ÖWßeYJã(ö"!BÍÕ*cΣûCV/ÞûOÆJ÷-ò<"T   yzöáS¡ÂSyÕccÄJ¾>t*¿_£ñù½ûù�À¾}Áâ-Þ?ÿd¤¸äôÏ6ØaE,B)Ö.³\CÓèP¯ªY[e ÆƼ¤ÚäõßmÉ|üQ­Ä�zSzTåv¬	cIk¢]Vz7fãÛÐæI7i½[åì>Ôöd}jÃbºÆPbÎi)!\z<ýò¹7æýgbÞH	¡ }æãRËáB)*8Æ�¥¿Ëª{I¾ùª~s`:RJ>}˼/ã}|if¤R\ròÇyëL{Z¾qÏá³<D!@Àn¼ßÈ÷v¼øï®m[þxK\¿×?{®««eÀPNƱ\oùÔÀ¼Òʸôõò¹7æ/^æÕc£Uv¨ÚNk�ÞAJ!dA½o­«:Z1-Ågù:{?)B!Pf}ù0ãÔvL_Oü}­8A<e �Da~üîô÷þÁRë7Ù6¦2Ç6û9ÎÝàxúÑâV#ûùæë³.gBÀô	;*9òBÔu%rk­dö$_ÈÑGµjÜÛúЪÕÀ*< øvv9m-®-½IyÐj+7PmòÆ¥;Kbf}0Ø�)#D»Îdè£Å�@T×NeÇ0ÿZ+þ¢ÝWnk£Â¥Uw¼£zÙ<ýƼ³sÙ0ýÖh\CÕì{²öJï $ß¼^ñÑLsÑm§½<ôü;�D~ºùñ»Ònè\û·¶nOÊDv^>~£,2BÊXÖ
×v1Ë´·P¡@#!Dq)ZMtP{%PëÂC)HÕ£*RqÝ��²Í ÇÛô¸õý7ÖüuêÑÝ+2{VáåÎkórJmĬyíP*"0�Øi/½`j_JÌ*óÖE©ÅàãÄX*PB©`??7eò¦eùPaeÍ(ÝÏPB!÷Ùjßê¬ëë=<8��ƱÝøAîþêKñ£Ãb}äBqf¸Ã.JåÉB÷÷øwÛoÙ|äs=<M¥½Â°e÷_½ú;´é¥Æ:'Zãz9}±åëåúÈTW÷_Ñ´\BêV
ïѱßÚþ¸É8$ÂW_-" ª¹È#<@¼#~ã¶ØÑá"U>ÕÃýÐ/;óC§g¦¦�¢áûÁÖ¯¿O&É=õ×ÊlûçkKǶðû`ë_°Gtð2STæ»âßQ½lË~cÞé¹jǶð}ßVk0b»Õö9B.èig@Ú¨¬ÌUêËGOßöëê´´áwŧç9§¥@�YÄçþlwi:·7ÈcÎîE_ðõ	%9¢»(e1÷ýpÛy0qD{¹1+EàB£@d±ãzÌÙSã0/ÄEêËGR|:¹*aëîMûýZ;sÚ4"A¨z@L«æ£ÀÙAjÿ9Á/P)'%×U và`´dJ"Øx>UÝÏE@sÞnLy»$ìçþlOPA0
>iuê¥3gÌÌH!á>rtµXåÎqå4ªD¨XEe¾x¾ò�Ëí+ 2ÀP(a{Sý!B-Bµ~óÞ}ÆuÚôÍiÇAccÌoYäßu^±fïªÅ;
�R¨aº(mg5âA#·ýÝeL§¸¢1¯=Uô[ÜÊÿ»us¶[cÚÎ|ÿ9é·~¬qnÈ0lC^קU­ÿ¨×_*ýeíön`$®¾Ñ=¼jLÞ3g<=èÛqß- Cëá/9È�=_¿¿Ç¼Ç¹}ÿ=éòU;ÌßHÅýýdro7®�$ÁÎþØyÕê«ïÖ°2·Vm#\¹;­-µ4æ«æ´`¯5jy¨à«uÁ«Ý§Úv*çÖ}òèø¥»~ëÔþ©ÆÜ_ ¥Ö7y¯¸�@ñÈ3OÌ;b4Oý¶Óªu{W}³ËÔÃÃvV8xÂ:¯Y»sõ7{ÌÝáÌF1ù÷WV?­ünsk·£âÚ½lsÇÿýêâß7¯\xÈ\ÙÀn΢ªßì]ñåO»1%7¶ìºVd�`>±½4£X-fÝÛõ
>XµõÐõ²Ø¶r¦ú)�YÄ#³&Ì?b½=ÿÀOXÚÐyàG_Ï,J<.},XZ}m5BfæxfÇÎ:Îô§D"2eJpë ó.PÓ¿RRJ\B¡QT¿/z3DU'æ¾ô½áï>êíÒ¨«ªïB	ȳ¡öíÙ9úáñ½T,Ê7ÝÇRbúm
>ÀX­c©~¯�)ÿê­_4Í°g]YÙ¥MþóÏ»Ì^05ojÊÎÌôöõ5ýÎ0Lvvöºõ
>EYYÙÄúx{V㯱`a9eXXü÷¸ÁCG4mü!Bf±2u½=V¯Zy¿±fÈß¼|ÝEÚìó»V_â¢vlHyç% lÌ;B	
>¤âÝÓT!Ã~gªeò`bÏ8wzlÔ¶7­:Ññå®Jíõ·â�� �IDATw.Û¯ëðÂÈ ÑØ@è. @­×cNX±rÕãÓ¦zyyJ�bzÞQÊ�ð%°æ`4aä!BwÈØ7QönÕå'ßz(¥@K$á]gj:§ßÝ6æ¢×ë+×ðW~©¶éV^_ÆÅ<¸[xazÙ)EÕÅ	õG)¯l;æ¡]\tMúñ©®�ÓSÉÛÛû_H$¡À�¬éS�ÓýñÕj5ÃàB!Z°±¡íDüQ_¿ ÖÁ XfMwç6M2Z&í8³Gè¾3¥îaL	~ÅÓ
aYåû×Ï/À/ USÇB!ÔH|Ý» îLÛvâÖëuÑ1m,ÓõUáârî맵ÚH�N%Ä`VB¡
gìºCÒÕË7R®7u ¡*Â#£""£:
>B¡;=B!B!Ô5úÍB!B!Ôô0±G!B!Z0LìB!B¡{B!B¨ÃÄ!B!jÁ0±G!B!Z0ÞúH\Z^^®Õ7UL÷T*Éd!a
>G�0ôMB!B!Ô`Uûì¬ä¤è6nî2a*ª{R(/×äfgM<Õ¾cgSnB!Bµ8UûÛ7o´ëØÙÝÃR PÚTQÝR©,°u0�MI¾Ö¶CçÔ7ôzÞ`hê¸bH,øJe2�HIºÚ<Û¶¥Ä»õ©Ö°¸Ê	!B¨ù¨ØkµåîôÁNè+QJOoÛ7o»³X"eà
>÷¥T¯Ó&']
Êdͳm[J¨A°[ï
ÛÔ!B¡J|ÍMÿÄ�¨T*7ÝMÀÃÓÓh4ôúÿRõï	a8÷òñ¥@3ÒnG6϶m)q¢Án½Gj6lSGB!*ÕHì)H¤2]y¹Döàÿ�9<^O¹¿ÿ`¢B(W·Â¼<h®mÛRâD
ÝzÔlXB!Ô|TOì)¶\Cþþ5Õ×ßúß]ÔtassnÛ'jìÖ{ĺaB!Póac)¾L®(/+»ÿ¡ÜO2Eõ:â2Ý»RjùÔ¤9·mK5vë=bÝ°!B¨ù¨¹jÔêþ­peiåÛÿ&çÁD+fJyÛ¶8Q`·Þ#W@ B5;lµ¿)£ú`ÿXÕ±²âÍújRnX¹'MßäÔû´¶½q
>ŧ×ý°dWº®öÝHñ©_.Øx³ÝZì=úic6ÏáwZÒz¨Üai=B!P3T=±Ò´cM~dú7çÕUÞÐü}ïMðÜÊú¦|§?¥ªóïõÿX@cÍ[O½ôC¢P Úܤ³go{ýY NÚ÷÷¾óÆej|~Òð¶­ó§fß:Þ½8UJBÂt
­c7MÆùɹåuìf³Øûߧ{
úiæÝz/Zòõ£õP¹WÃæýgB!ÏÆR|'×À½ïHÏÜu¥4¦CÅmã¼{®Q¿I}ýE-¥¾³«kIQ�@EUªÔȳ}öÛë^þñÝNòme§æ=ÿzòpºùøú*�5¤nûöë}ç|è ºÇ1ÓÒøV¡Þ¨ê£æ©©>÷Ì®¿v9£¡ õm×gĸ¼%u~Ѹ¿ku´çæíÏ]ÏÕP`äÊà6ÝO×ÅÃƽ)ªU{0êMÓþMЧ¶îS·ÓãÞ{oã¬o>èãb{¨Â>}m0}á'<l|êyǬZòÞö£ug5Õ°A!B÷¥¤¨ÊÎwVLØ}©´c7'Ó`cîñý7 èÉÞÞ<Îþõë'¤Ì§ÃðéÏNììÎÕÙ5߯8tåv@8öÝG³¾X4`Þ÷3ÃÄ��eg¾|vnêE_MlÅäìÿjÎòSÙåx×°~^|r¿Rtâ÷¯W¿U¢¥�Ï!ÓÚÃÓüF¨¯í\¶lë±äBØÉ7´ÇÔWêêÊا¶ÒÌY½5ë+L¿¦§*7V<Ä{ýß'CMÌK�ªîy/РA'ªê}fç"gª¹¾iþ¼­©.mzj¼DsíľÍß½{zÔ;ïM×Û×lð;¯£½8ËS61ï¯[òÈþ#f>â#3äeÞHV©Çjï&¬^¡Ö~÷AãÆ^ÃNqºsñCÒÕ]g	�PxøÛÙ1o¿ÐÃ�0d_ɧ콨¬uKÞë~¬övO×Ø#B5?6¾îÎÅÍ­¨ cx/#v-îbÚ2fÛz®+OZñág;%Cg¼;Ë_¸¾ë·å¾pøúó<U)	gÒ\~ùùvn Ñ¹µËàO=cõçti	Wµn½;{ñRÇð^îæȪSöÿ±léBeØãýy¡,ýÂl÷ñÿ{!J!^Ùµ<î«/]Ï}ÈÐÝÚøÑû
>bùV[%_zyÝ÷qn«..hWÛ§ÒÀÕݽ¨ �¬'µª¾®Èâ+·Ò
Ô¹möûÛßüæ¹(	¥�¿ýç¶�øNûAè¶7æÇk¬4dÖâÙÝk{V¯ÙyêJxFõ;uBw_	@O¯úqý©Û9*{D
xlÆ£]<ÌeòNÆ-ßpðrqð
v-�p¡æÅv¬\»'1½¤^±'=1®½OJ/ÄýºîhRZ±@0ê½ÆwYB­ý\¤,yß5»R�"Gïà®Öɵ{®ZK3·­¶]rÜÒ­©ÊïÌaÎâ»öîÛyͧó·ÿ¸±ýÜÇC%@Wÿ´îäÍluðíÿðä±=E¹Pë3î´ÔÑ^´TvhÕïÅß(@ì6ì·ÇêóÆæ¥ÝrøM±¬[P¹£íQJÍÃ�)½j³ß­Æ5dîþêÓ5E}ßú`r´ûïÒkÎæh)ð.!=Ç==¥·¯ëbYVÃÏN½lÆVÿa3!PÔбgý"b¯ÖÍ [E>^xëf±1Ì Åç$fe2.wíãʯ§³~QJ
>*Ûµ¨­
iIë~´ýl_ùáÿ]ïýÑ©Á"��Íï_ý*}øÏÆ{Þúã¹û~2B�4ç¼üzÚ¸±ÖCÅÞ°iôKAÕE!BÍ{SÆ<l°÷M»NöäÎ!ãÈÁI)]ÜÕu»rü~æ%È]>3ï`BîÈÑ��Rßv]ÛÇH�:õä¿OÌçïÃë3âϨ\:÷ô�#óïÜË��ÂtñG¾=Z>Îß��¤>1:ÄHÚ¶&çÿéèåѾîúÂÚ-©.?~sj´ÐrÿJân΢:[[<¶Jc+êx·8÷zþµá><0¹èÙsF�`,8þÇ·ç·Á§n;oki»f¼*ÉKܶöçÏó`ÎË=Ü8Ry9)×}ôsOE(¢kû×n[ò½Ë¼Fzó@5WVÏÿþ¦ã¸YSe['·mN©8¡.eÓüû$§¼úpcߪ5ß~§ûþHõ­Ó2G<33Æ
Êu®JJ*£¬å\ ¿½õ϶Eúj%§¾÷Ëß24¤k÷\µffûý¿6eïÑBQ죬çæEä	1Ù2!4ZFÊ3.]ËsýÜÌpPtýèÖ-K>Íz³ëç!ϪtÛÑv}¿ü¸tøÌw»zs꼩;gu8oì>RÀG=3¶­5öÅzýí-_ØîwË.Æ¿¹:½í3=íÀ�pN!½Ç?3ØÕÑÜüwåê?¾SÌíkoá¿!Óf½ìÄæ-ÔwØ4bìUö»ýZ7nåÃáÐÅíPO¢óGnËü½·],îÕÇ¥ºô«¹àÝ«Ì`¿ïj©`ZÒçfî¡ü©çsÁ~<>#1YçÚ½§Sî|)¨­aB!PÓ²2f³E¾ýGlü}ç±~c|[ûæ8ôx6Æ1¤\M3ÐÂ__ôkå!Ù¥Fp¨VãÜvH´èëÃù£F¹eK(pë9 H� ÏM[¶ñßËùË@CuÆa°
>?¸_&;ͽtK/ê\s¶!¯^ñXÆZÍØ[T±¯Øf5coµÍúW
> röòóó«*tõñs0dîZ¶+Õmð3»K®~³3Ómèû/
�@t°<ç­ãft�H<£ÚÇFJ�¢[	ÞX~âj+Szqëá"åè H_Õø
@)¥¤ô|ܾ¼Ö¿Úßóc¯ÿæðé¼!C)xÇtb1WÕö¹Ô6íHwîÿÖ+"d=*ùûºÏe«4«++î_`Õ¶*=³<£ü¤Õ&È¥þQp1+]eRJÄQÚFJ�bÛF9ÏûϸÇú×hpj¬ì{Ñö+P,4:6<HÁ@Phþ¶g<¢ZÉ«ÅiÚÓ~³XÚ]ÜTk¿ :³jùgý¦~ðtOwÎtoûn¾��ì«M8þÓtÍHǪ#ÎòPf£^v»¬Oz=
-=Ùà±WÙÓºjÝ´Ý
>"Ï@~êål}û`¶àô?©½^\¶ôÛgzð²/¥íÃ\´Ø©¿®
>Ö³%k¾Ô|6
éÐ+ÿ9á|þ(_/Þ~ò|©sû.¾<¥zJÁêµÈjmBRmƽÔlXB!Ô|رNÙkl§UvH6Vµëp×ÐQár�=P
>¢Øg?!±Â9xJªÌ°��ã;¬ôË'óÄ>§ì; @�ô­óÆúÎxé©(¥¸øÔÒ¹kmÆp"1-i0¼íYÕ/ëÒîö}Ít7¶}¿þïøR7¯¦dáíüÌñ±áý`ÕÕ4

W9Uxù8@RaW=SGF{Ö¼'1?9ÃHV¼õÔÊ9jõ±ê¹®¦¤]d5>7©ç¹¬K«×-Çê¼I5Î%¦³/¬»¡¥þâÚv´-7dèèÄ5_½Ú©ÿ A{F¸êR�`Yëý¨úÌwïþ®ðñë=UöEZLný^~êç¥ ïñÚ}-lÈKܶzk|Rf¡äR#Ð``?FIzÙkòzccÆù¥¤ÎZWjnY@;8-¹HhE¦9wYÞA¾à`B^¡lòµ¾u[&÷¤½ZxÔ»µ¶d-,Ï&pîÎ/?_8dkÖ©Ó®]{·ªµ©£/!B¨9«Ø3³ÙS»±ý\fïÛïV|\2}°¿�DÊ~gÚ
½ûÀ*oþjιãØfdwÇO÷îO;\8féí»>óR´zò±¡=9�Mê:¢¹{2».äèÛV{_Ûx*Yfì-GbuG(Êx�½F+©yªUë�8Ä|å*1�J+~3ïz}ÓÛsÃ'ÍæÇb0ÏYv!¦»WQBª�á  ë	¡3QJþöÔ0«Ï2ä<-¨RTÜ$À´¥s	ÊsY¦õ<UiÄÞuÛ2
>o)½®¬´^ãNËҮ洽1×Ъ"@ ­·ªØ
ymA»+ñû÷ìZ¶`çÖ/¼ÿdËÚbÛqʽ<Äp1)³|§¢bº´L§ìwÉ1]ÔLºúìÖ¦ôxü«Ú¾ÿd7W�;¿þ~»¡Ç¤§¦{Ug-Þl®*±[¥9õRØMTPÏaC1ö¬­½ÖMÛ­�àÞÎþ>{³8"íPgï|8éÛÍùÈ#]üÏe1­´ÐZjQÿ
>ÖÕu>7©<j@ä#§òzFÅÈwïÞË#ZæýMŶ*öM£^
>,X­=B!PsPcza*g³¥!£ÆªüðûEQ×Gz)9��Ʊý£CÅ{ÌÿsϳÎ>¼sû\{Y´<|Ô eÖÖª#G÷ò2} öðÔ]qû¯Ý¸qãFºªÖÜKçGú8åÄ}¹dküùKgÿ½ãRÅíéOÊ:2¤Tþ0r?d¼V,·®$d"ÀWÔüfRB(å$<èTZb9VÐ\ÿë·=%QÓfôõd%sñçËÏeèÌE©³À=ÔWB«E%+l	áÜBüøòk§oæMaRB8×`Þy[çêéåãeþñtä zi¤ZùvÏåÜÊÑ\¿£¯ò«²4ËOefݶâ AÝ
ç7í¼^fÕhe×vÆ]0:÷$­ªPr!ÜB¼ÅÔF[í\K´}'½òÉñ>Çv+2Ö§¤õ
>Ãù¿öÜÐT˴2&c}ú]äÙó©wëÍøiQܵ2¢Íº~ÇômìççÔÊ3õ8µ*¶zãÔ¨½ØøzÆ=˱õíMÒ­pnÑ1.Â#v-
>êßÕ!óëÛÇ3ÿðCÇnïöa
>¨¥
y:×Öõ{nREøÀÎé%ì?^â? §G(!dî
>(IËÖ5ÝÙ³òØ¡bwØ4⥠fÃ"B¡æÃî5ö¦G}úMè²aÑIÇ!ÚVL¯2ò¨Ç?ûÀyÙªÝËn7�ÈmFEîæÉÕ,	�ÄÇüõ{v·±]*ÖhZ=üÆ3E?oX6ï�x¹kP×:ª2íþøEé¯6/>ZÆ8·
>bÓ2éÅS³fôÍa·2¤Uü_?/ü%sHÇ�yyêé=Û¯Aã)hÅûhJ8·?ÑS[vD©
>Øð.nÇíË÷0Á¯<+5�@äþÐïÏw.ùI6¡°8ÿìuW¸Øý}øªEåj`J(¥èø|¾óû¯±Cb½eÆì¥�.æÆôu_p`É7¢EyI*;WÔv@¨ZZÕ	µ.§ØQÝ¿Ù±ôwÙ¸^A²Òä¯i@PÊÔó\´Æ©ÌùFõ¶?üôðä¯v~1'mðÀn¡]~ÒÉýû.ùyml°Pj*­üò¸ý%¢¢K»×_"!ûxóÐê
Þ#ºJ£ÙÖµøìÁo$ß,»¨2*;qJ#ÆOïymé¶ù¥
Ø%ÔËÓå]-ÖÚ9];êÓ9 ºÎ~gÚO}ubÞu?¬þxfGì<°ý°²W§Í(55©U±¾õ5بۭþæcÏòtSÔQë¦îV�Þ§K;§}¶'ðQ³:º1à<»ú{íßÁë¡XwRûµ |ÝÝZ$õ{niëA½ÝîZÃÍèâÎvàÜÚvñÙ´uío[
ýC]ø²¤""0¥áÖCÅö°iäKAç5B!j>ì_c��S··þ\_ã ×vã_k7¾ÚV¿ñ×WßÀy¿~xM,hðós?_£Øª%H"ýµòÔÔ¿ÿÓ÷�ªâ?}v±ÁCÁÕ?ª¥Õ¼ÆVâ¼¼ö¦dÓæý{WÖÈa}&ÏßdzŢP·4­ï/ÿþå[Ê(>íïx*�þøùAsQîÃÞûtÌk¯Ö®?ðûâ­TäÖû7Çwqf«U±Ùü§(pôëo;lÚ¸ÓÒz�VæêìÈBA:þW7Äý³aé>#Ô=|`pïvî\ÕÒ "§¡U&ßlK=éµ'Åk¶ïü5AÃ8ùù3�iª³çªRZõ&­Ö¶ 
÷æA{ÿÞ¿í·}Z�k`ôȧ_ÑÑ[bÒªH¼÷Ï}Ö1 ó×&÷sçl4ø3"¬"±­CñÍÄÖ�¹wô§'·QK~b/NÆ1vúûoîرÿø¦_ö@ä lë'Jí4عÓØ¡	Ëö¯ÚÖ6ö¹6£êîwNÙç©Ç/Íþ}ùªv­í8äù)Å+·¯ÿö¨��Ì9 #Oe¬åa9Ö`³^vc«÷°iÄØ«¼ªBTG­º[x¿®íýkh70ÆÁ¼?ëÚahäƯ¸vmïÎ}öjQgëÙõ}nr>½íZÓah;GK]XÁÏÍ*]·gù÷ÛwD;ÕÊsQ6Mc_
>ª?¯B!PóÁ¨J-;üÏá£÷øÞr`È:ºç<øøy8ʳÎîøsãåÀ¾yo{­óòöYfìÅbñÞ]÷8´ ?÷®ÜÑÒÄÅïýa|üó7º:ÝÉ-´$iÊõ¤v:7¸mÍÙðÊüáº÷¾S5vkKcó¥ÀÒ°¾)C!BVjÌØ[_cß|P]^Ò±Íÿ\/(§�ReD÷'?Þ¯±Y=عÆþÎÃl±¹§_O/W¯Ë»|pó56lz¨¬¦éP{S¦uI­:ÿï4>NÔ Ø­-@Ý/b{"B5;µ_cßl0mg|þã»V^]×ØÿÇPmþ3»ß.ÒQ�±[pûG^׏Ã6±$T
.§âeë+öïÆÇ»µù«ÇK~PB!ÔÙ¾ÆÞ÷>ØÿV«õûݪ,büÿæT»IÁO«Ú¿È¹.rØû_»1ÔGããD
ÝÚÔýRíB!ÔÙø{¨X©þ`ÿk]_Àõ¥÷¥IyÛ¶8Q`·Þ#Ø!BÍkì"¦Sy=®×½ËHåýÉuÛ¶8Q`·Þ#÷e½B!jKñÿ®/½Û,×å6ó¶m)q¢Án½Gð!BÍ9±ÄìéÙ§¿ºTÕ´Ýg¾gþþ¾ÜÏë?Ærs3oÛ'jìÖ{¤¢aþ§Iã@!BÌßc/@*5u<!B!j�óý¡{zX[^Þ´Ñ B!B¨Aئ�!B!B=B!B!ÔabB!Bµ`Ø#B!B-&ö!B!P=B!B!ÔabB!Bµ`Ø#B!B-&ö!B!P=B!B!ÔñM�B!B!TIFPJ	±¹Ã²,ÃÄŹj�LìB!B5F£Q§Õäç©
½Í}D"±£ÒK&ª|¢N>|઼ç.¼õïwþ eÉûwôÛÇ[ÔÀC1±G!B!Ô\ú¬Ì¹Â!,"
>�(�Sñ¥À0@� =õVaA>!¤° ¿mûN
>
-Ϻzõf`'Zí÷{3Sóy¿/)SËnDëfW·zQµÌºûø¹S¿Jê6{É+måVg,Ø?û^°xJ¸>gE¡ÿ8ª>¹è	jÓ_"'ßà6ûÝ?Ò?aE!² ¨Õ¥­ËÊÔR`ÒêÙ®·OJr¥4 UP%ênýýÓúK|i³ø5t*ü®0æÛt«Ý /é]{ãWµÌº/HÖ^ª9µûªÚª!ü{¨ß ¾þÕ#Pým±Ã_ýÑGï¿óÒ¤Þ¾úð¥Ùk¯Ý«B!Z&J)¥ %BP À�JYÉËÉ¡*½¼]ÝÜk-\>|E'áÔ$©Ô·]u^à5¬üäÉ]J;ts2­0æØwèåͱèì_¿­ØZ2öæ?;±;OTg×~¿òÐÕÛEZ�qàØwÍZ°0©ÿ¼ïf�ÊÎ.|nnêèE&09¾þlù©ìr
>¼kXß/<9À_Ê�)Jø}ñª7³J´@â3xêsS{x?^!êk;/ßv,¹Ð� vò
í1å3»º²�v⩵4ºo~áÑm�tì9hxß?ßÿ$nÑò6ß>+g�¨.oÿcùÖã7J©wì GgLêío^°eï¡ê¯·s>]ðã/D¼ºèÕî.x7Bµ@PB)%D`!@¡%À²l~^®Z­¦ú
>FcmerNÏrî>±_Á_ÅËì¥äê:=Qßß{ðTrÄ®­;Þ;ij·ª÷ný')§Pc��s`»þÃûG8×<IÉñ?�pï÷ôÌ.âÛ6OaaÌ?µqÅþÒ¶¨«¿�� �IDAT(5äÛ¿ëÈ¥¬2"¿.LêíÅW-³äá#z»=°û\I×>.�³ã÷§²QÏu÷äµÉ+>ú|§dèwgù×wý¶|Áǯ?ȳôFÂÙ4_~¾htnÁaYüsgr¡þ<.=áªÖ­w/�u
>0éåán¬:eÿË~\äþåxhÒ/^Évÿ¿¢Bá]Ëã¾^è8÷!_@wkÓÇl(yhæ[m|éåußÇ]H-#]]YÐ&¯±O-¥!PaÚ<òxýn¿òDl'ènnüø£ª{'\°iÅwäÀ¢7ú¸sµ<Dª½Þz �j¬UC!jA!JºTåèè$BÅ#˱ùyejµD")ÓÕY6õÄòV;´
>)kï´<ñTfµ¯;×gZ³>ï0hÂP¸÷À¦8ÙÓÓºº	¶·;ëòSÓz<4Ò_JÔiâ·lv|úñ®nÕS{EìC:»³ÀäÙVØ*ÊRÿÒ«»ÖíÏýÄ@)#ܲû¨ËÈÉQn\y±JTù¥Ìúd¶Òàa½÷lÚuº°× wGfH:LéâƨN¬Ûüä÷3(9È@îòyrG�ú¶ëÚ>F
>��Ô©_$ÿm|bÞ8^FåÒ¹§�ç^þ�� ?òí¹Ôòqþ¦{J}b:u´mMÎ?ÿÓÑË%£}Ýõµ[R]üæÔh9 åþÄÝ0Eu¶¶xl³Y¡&ÄÈZÅxÁÉìÛEÆNríùu[ÓÝG}þÚcaR�hîóâwëö¤u¨³ûPPõõ ó«?¯k²*!BÝ1J)¥PªR©T%z½ÁÅÕÕÛs_P¯)+cYVéå£NIª« Õµã):>Ôáåíºx%:~£¤¼[Øß<Xä=ðÙÁíY�%²ñ|rI§¶y6·wî� v
	n%ò¢·îº¦éâæXí$¼ÂÝC©ä üÚ^ûE)KÙ·kÛuåài£Ú8±�@ÊUxKðö³Uf½¦¬E¾ýGlü}ç±~c|[ûæ8ôx6Æ1¤\M3ÐÂ__ôkåÎÙ¥Fp¨VãÜvH´èëÃù£F¹eK(pë9 H� ÏM[¶ñßËùË@Cu5R°
>?¸_&;ͽtK/ê\³3yõǺ4LìBMË2¹nȽtS/ê`ÎÏY§¨.þðû¥T
õ-°ûP¢I¢F!º(BLwÃש¨³«+P\T¨)+�wHdï[î-ÂK'3e1Óü¥�À:Gw<´íäµÒðNvAcIz�ê½?}¹·r£¬¨\og»�Rëé«»ÒU:öüÛ;©(ݵ¿·$úÑ:U|õÈ»K¯ kû7üÞ¾cÇmZ9ÕLãë·SöÛiÕ¢ÝÒUí:\ä5tT¸@(öÙOgFH*÷uð@^õÇØaí¤_<7 æðÑ<eßb�0¤o·0ÎÐwÆKOE)ÅŧÎ]k3�±@¥�@o»#êui!Ôthùí9 näÊÔ|Iªüjû!B=p(¥@*©KK	!²2ÓdF£�g±XL¡æ­ò«2ä=S@Õ+¾>mµõÔŶ==ì_hO¸ÀáSW^¸Íp2g¾ôÍí"(©z8Ë1æøk©_-Eq^Ñ­Ë/]Þ¹/ôñQ,��ïÑùÑBn_JL8±kíc±ã¦«6¹SÏ̧vcû¹ÌÞ·5Þ­ø¸&dú`1�þüδz÷!2ëw6n^À8¶ÙÝñÓ½ûâÓ`º¾>óR´zò±¡=9�Mê:B¹{2».äèÛV»6¢!ñ PS£êVÒ9
)�Ϩ@Ñkº	�ÕÕ ÙJÆì?ÔÄU@!º!D ˹+yySJ�rB®p0
>ÇQRû½>ãÔEµs§qÇX&è
ÙG6î:{.·ë �þ¿½ûkêzã�þÞ"²© »
>®:ê:«Õ¶Ö¶VEëÞ¥®ª­[«¶jq+Ûªôuoq×-8 ;!ãÞßHBa¿ÇÇî½9ç½çÜòæÜAª	xÎÏ|+ª¼È7ñ
>«ªù&Ǩ_NJ*c"4!Y,§2MUäeRÅ»{»ºÛö
>5·ÒÎ%gÎÚÖôíPÓ§á¥-Ï\|ÒºvCq¾2u¾{È£[·ð­k6Yóɹ7d,õëXmö±Åº6t+Sbâ;7·W[YÝnª:°>Îä£Q­roâ'¬îiOûïphWÛFõ*MQäø&ù[-Ø÷ëïfÛ{Sïÿs/Ĥ<��e/óåý;·ãHðìÖã§É<gó6cȲáÀîÎSö/^a6´S]Ó«{7ßæûêRCHPãªÂ_\ri×Và®ø���`Ì8"cYãóùvÕª½ILÌÉámÛà5+Nç×gÛ6oXËQezÞƯֿ{îEƶîæbj!"é{ìêÙ©ülïÞÚ×zûõ°½&MÜ«Ṳ̀·&µ}ëZiX®ËþX¹Ø\}pörÍæÎ&iCK_ë]b:ûò¿}áÎûץ=¾ÅÚÙ[ØÌqdâh&`
>©ûmáMÛômºgÉUË}XäN1f^_Ìi²ýÄæßÊÄÕêwóü¤¹½úÓ5>éáq`S|óÞMms?l
>\{Müöí{B~9© "3Û-mx
>cÑèàQ¢
aûÏd¬]kò£<��e'²± Gá«ÀÒ±VýößÏíÑÆÓ:o Õê<Ûtã£+çrÂjµÿaþàªü"V©+���À¨qGÇÇãñ«ÚUH$Ddaa¡T*8"áJ§y˺%·méiï©sZ¯¿ìàêáÕ¦ùý£Wÿ9_×£OMÝ]Ú
îoq:òäþkJ"¡ku­ù¦êë4"öèÔ¥ÑÁöp$ªÞ¤Ï ¶EůâÛ£KÔG¨ëÜÍ2îák
>"2­êÞ¢WgQÁ2´Ô"ºpöTçn½¤I1Ú¼|qiç|·\>rýÜ�
>�����`Ô$YüWÕÎÎÂ"÷&èÃp¹·bX.÷ôû´ÔÔlô#*Ãûp_b߯M«öe$��ºÓ2våÀ���@D2Y¶T"yôð?Yv¶Í,­¬ë}ä-j:%ÑâÅZ^>eòäEYÁ_bO\Æí_~?õ$Iªy¶è6xè§õ,p%)�����@%Àãñ-§ÙçaY¶È'Þ} 0±������<ç������0bHì������{�������#Ä������À!±������0bHì������{�������#Ä������À!±������0b&:n'egef°Je©F�`,x|¾H$ÍôzR©ÉdËRT����ðÒ)±üæÑÿ9+í��Ã05\Ý<êÔÍu|IFzZÔ³Çq±qJ¥Ã)����Ã0E'öRIÖ½;·³²2½êûØV©*Ë 2�L"$&Ä?{ú¤Zus+]ÎfRÈåÞP·ÞGK���ÀP$IÑ}VfFZZjã¦ÍÝÜ=Ê &�ÏÊÚ¦º£H$¾yý«.½Lý:>ίI3¥����`@VÖ6ºÞ<϶JÕR
�Àè89×P*Ä0:nÏqÆR����08Ü� ÌÌu½º���� ô ±������0bHì������{�������#Ä������À!±������0bHì������{�������#f¢û¦Ji¦DÎrDÄðEff|'�������PÞtOì%7æõûñ´<B7ösäVP��zzd÷ßîZ^cø¶Í_º	Ê!"����0zº'ö¦õF,[ÕWADÄ×°Ã|=�Þ˦³6H¸M«:éq����
>Ý?Iò,ܼ¹b(��ÏÌ©Sy����
>&Þ������{�������#Ä������À!±������0bHì������{�bËeå����νD")Õ8��NbB§ß×£K���ÀàþHj"Â;7#³23Ë  ��£òööë®nîJBíù|¾¥¥%ÆR����08&-5.=Õ¹[/©º©$¥R-ͺ~õJzzZ�Pq9::7ÿ¸µL¦Ó	ù,Ëʲ¥7o\ONzSÚ���ÀŤÈ-ø|¾¹eû]aÊ  ��cÁ*:fõDÄãñDb³Vþm1���aØçËå¥�À@©Tw����PÙà®ø�������F=������Cb������`ÄØ������1$ö�������F¬è»â_¿z±â�������bÐéqw­Úv������� VzZjÎéé±1¯ÒRßr	Û*Uì«;êú{�������(/Ë>zxÿMb³oãæ¦"Qv¶4öÕÇï#±������¨èîݽ-mÞ²µH,&bÈÔTäîQ×Á17Ï������¨Ð^Çž}ܸIsH\`ØÌ=������@öây´GÚµHì������*´ÌÌnîÖ;±çäwý1Ù©7¬êbÉÝMóï¹ô"ÕôB�ìÅÑß=ry¿¿:¾dÁÇNë«����àƲù3odã¦M$çWý{NpëèÚiC»üõßTSF©Z<+çÄÊ»!Ú/è·Ýg"¿�P!{qø§Ç)8<^|aåSv!·���¢I$Òõü±þ?rr{=îÏÉoݵ{ÿùç:mû_³´O5!CJifåá,|ÍÞÐÜÓó÷î:duÕÝûÐóã¸�>x²¹ø×lx7økçâó[µÜæ¿ßÿa
>ý¾h`1S1���@E·;44>>÷£äºõë¿ÿî;={ÙÓíÁÃ?µsBGÓ¼OY7æõþñ´<B7ösäó­<O	øíõMÓ§nù}Ú+çc«,»7��ÆFûïîsiDteãÜ+ê6¸±çhtà8/Ó2����£ããÆæ<îî={¡{ÿéAìÎÐCs]Þß%°o߶ձlU_c^ÃGDlÖË«ÇÂöì=tùY½Ãò33è��#AÍA¿Ly8rÑ5ÑköW½<<rÑUQ¾«¬����ô¤GbÏõß쳯®ý½wwè¼o6z´é÷ÍØa­½¹ånæÿ¶tͶ#·ßØ|Ô¹ï¬M½ýëXëQ�@¥&¬Ñ=x-\4ßaÇ6¶<"â2#-ºê1ê÷p>����èOÿ¬'viöÙ¸fßÇF;øPï�Oñ&Ó5pÞø^­=¬ø� Öèü§ãME}Ü;0æ>Cgý6À«²z����(bO§3"§Æ½Ç4.¸Ø¼Áws,$�ÊMèظêï¿æå����©Tò:>.áu<Çq º£]µê8O������À<{ö$öÕk*N.BS¡R¡HMMIxý=������@E÷èÁII®nµB!Ã0Dd"ØU³Ëåxº<������@Eó²kM@P`¹P(Db������PÑÙU³çóÕߣ=������@EW¥JUM«ØsÒ§G7m:úT´X�������PÏ =¹qù_§ÓLx3������@Y(FbÏe¿:þs`@àòûÙV¤Ý<pEZ§[£,þBȬ¯{´ñ÷÷oÓuȤõçä�ÀxqÒø|ûiEw¤ïÊnÒ~ÐÚR-/����ÐL¿ÇݱÏNïÞ°~ËÙì
>­L<x]æ9*Àq3dÙ·ÍMûÒU~ËïۦϪ¶û÷@Gõ×ù�|çw~&´1U9©I{tÉÎôxÊ/0����0jz%öÊø¿.°î1cöÛµs.Xɦ\;pCá5®=áùMÚÆò"¢&¯.|wøb´4ÐÑÜ`q�¾}ñ³m¼vêMî6ùÜê?ùþ8§±%®`���bÒ+±ç;®9øÉ~°r]Áulò·õ'µ¬Æ#"/Ìç²³¨ZjBCÄ�Pip77®¸âòuH;;<¡����MÏOätéàjЫEÕü%*ßYùÛ9³.cûÕ3D�J)ûÉÎ¥ÇÄýÇu øËîíÚvûjAx¼¢¼Ã����cc Y"eÂùC÷øz5µU-Pÿ¿_¾}±îø[Ùb>
>�1­ZÓ£º§9²tWFç	{±iÊæ3vØ5Rôïæã1¸Õ(����èG¿çi¢L8ø¾ÀwN÷é»<æïG.¼å3yýOÝkà4|��""2qî=o1±IÓ7D78ß×áÕûzn=R¼¿kÕ ae����øpd]wæð#Óƽü¬óã²îþ1qá5Ï	¿#«�(˸±aÕµßnS%gÔ½:6oô¬Ïùã.z���� CL
)bOy*j6¢UÞçQ6ákB_¹T7+êáC""â»x¸ã||��éãKNX\ßÝÙ˼µfâ¯Ö,ìê/B���@oHìå¯NþmÖbTÃ÷Ok¾¸ò%éæÉßn~·YÃy¯ncYòê��âÕ¡ßB%þ:¨¶iÎìgÇOÆ$¦ü2¨Ã/D^ÂÖõ´Ç ���� »b%ö¦õö
ÊýEþ2âøKó?úX¼?Ô¬é¼Î"<�ÊÆÄ¥ÿÿ믲@ä3åðÙ)å����»OÉ¢ÃÇXµîYßÜá�������>JØË¢NüoíßÃËÌ á�������>Jz½ÐstØÙÑ	�������ô;4������1Ã&öôéÑM>p-�������Ô3ÄsìßáÒ#7.ÿ+æëNC¢7�������}H¥Òøø¸¸¸X©T*]\1cÏe¿:þs`@àòûÙV¤Ý<pEZ§[ãû¯ØËË?÷÷ï))aø��ÆÆß<´äÛOû,º#}¿4ûÉÆ!lx­ù�����DÑQQ/
>vë9dØW]ºtS(gNÒoÆÍxvz÷õ[ÎÆ°dWheJäÁë2ÏQüÜ%\æ?ÇÍü;
ò�)Ïm=ðXh-T]¨9²dWVÅjW\����`<yØoXlÆ*
>ÜD hÚ¬§§^9·2þįË"Ø3f÷(ÖríÀ
WÏVö¹y½2!|Þ´ÃÕ~áa½��0n|ûO&õ¨gù~äeN¯Úð¼iÐðæ¸	����4Ëå		¯»vïi&6ãX8#"cJ±^=ß)pÍÁG´©!*ô	M¾rð²~ÏÕr¿^ö´ýÏ3º8	³#��qcêëî#F·®3����@34»oc	ÇqÄ0ÃpÄqDzz~dxæؤKïP^-ªòä/÷/Øø¶ûìïý¬ði�@-é£KÂ-MèædBÄ&_þÝW¿DfwT����PñÈåòú>
8å8â8ãX"â8¥ÝÊóîñõjjË#"61bù¦øö¾¬osK�T1¦UkzTóHþêÐPi×j	²n:=쿧qYxZ(����sê}ÎOCD9©=˲zÜ2áüáûß9MlxDÄ&]Þw%3Æ~zäÝÇvzüåæáµp^>�|ÐL{Ï[LÄ&¯ØÓbú"sÜÿë§LßÏë½_Þá���@ÅÆ0Ø3D<aâ8$ö¸36ïgÍ#"âUi;g·4÷û61|æø=NÓVoUÃ0_#��9.íÚknÖþvk+[e?Þ¾è¤ç´uC³ÿFb����åÞ2ãae9â8ÃÌØ+bOy*j6¢Uî÷|7¼µJø®NÖ­� "émKÿg3xç|"éãÃá/Ò~r^)úéxÈâ.Õpw����ÐaaHÉÃGAfìå¯NþmÖbTCK\P�P$ùóý¿)z.ëï.$"y=9ÒN°oàÏÈê���@yz¢Y{ÊKÀ;coZ/hßÙ Ü_ä/#¿4où£ú¼ï¸él`qª�¨n6F*¼ÜªíêcmË<����0\NVÿî6ç¬üß_~<ƪuÏúæ%-	�������Ôc¢Üy{⸼I{#*ib/:ñO¼µ/³Æ�������1Ã0qs}^c/ôvvt	�������mrfé,aÜ£	������À8p¹±gr²zãõû÷UHþ½ã4µÔÕC[ä������HÞ¹÷ѱ£r~hÛÆ =¹qù_1_w¬������ TöóÃ×ÄéuW|6åfè A]üýýÛõúzÖÖÈ·¬êz.íæ+Ò:ÝMT^syùçþþ]#%�ÀxeÝYõu×vþ->óF·K»2¿W§±G^+µ½����>p*ØK²²2ÒÓÞ&'åüªÏ=Ãç2x}&¬iýâtȪ?¦È\Cicûå�yðºÌsT?¯ÚÌ;ùw.ä� ׺hçw6ìUßþ|êÅ�;1ôÁ¶¥'«|±±su~Q����Àãã=ó0û6í8={K߯'ûæüܬÕíãîÝMT´±ríÀ
׸Vö¹M	á󦮴ðÓýcÿ2è��#F`%¼=k@ðéD±ÿÔÜ¡Rþbÿoû½÷ust����`4>ë{*~âëx*æsìYi­£{®K]Ú¶qÉû(Ê&_9xKY¿gËj9EÊ_/{Úþç]ði�kÿyûþ9²¸Ù5ëog±ÿ[±9ÁüÐpÃQ����ÐYVffzjJrÒ_õ¾y^æ¥)½']	¼G¬^ß,÷³(téàj0½EUüåþßv_ò½ïµá�0^\úÍ?»/Õh6tM½´ní]¯¶6³æ|aå´
ïVOó3+ïH��� bS=Ø_ÿÇ ¸§÷ÿùçÈ nãa¦DÊóîñÍnjË#"61bù¦øö~«oÆî�@DÄX6úvÉÖoßý.¹·jÙ)»¡>±çSöÓÝK¤¤½JÎâ´�����<!	ì7 ç·¤×L1{¨z-¯êµ¼ù¹¦µkÇýþ³	çßøÎibÃ#"6éò¾+I4öÓ#ï^öxl§Ç_n^çå�üyØÔgU Üß¼ôv«qRo*ï°����ÀH²²J\.Ï*þsìÇR¦àqg?2m<ßÏGDÄ«ÒvÎ6oiî´>sü§i«Ç·ªQüÚ��*åëðe[ß´ýùzbÊ~¼ã·K~ÓÖÚ¿ú»¼Ã���Q¹+SΣï8Òó®øÒG{¶\{Öq´äeÆÞ>¶éP²í§=<ŤxyêÈSQ³¬r«á[8¸Yä½J)²ßÂÁÕɳõ��DĦ^Z»ö÷è­Í¬y$}|øDÔó´ >{¤éò¨,îR
O	���¸Bmæ¥úz$ö¬4åÍÃðc»þx+'Uól>lþÈ/Z2òèGµÕÐ7u�('ù/dù9a:TãÈ{|èÉñDvjô}FV����E(âëØól\²udÁÅòÇ_·üÑÇB}^öýuò��EIDATÏwÜt6P¯�*1Fì=vÏÿ
>/·j»úXÛ2����Onö3Ïï9öªdÑáÇc¬Z÷¬o^Ò�������@=!"y7c³aJØË¢NüoíßÃÏ]������(-ÇqÇ1{u=CGWÒûÔ=G]ò������@ðqG{6>ÃPÉgì������ p*X8+ù5ö���åÍ|phýª°§Ù6P¾9·ö§¹»ÉM:»|ÂÄ?ïKõ«"ínØÕËJa¹`@E¶v¹×^¼×/9T0½)I¥ÚëÕ7¯J»»ÝÚ#ÏåÅ
>°ìèÕ,÷f	`CAïë½_9ªÎ9ý>ïÿ¼³ñ9!±�¨²ï¯Ü¾Wð¹ÆÞ¹páQ«}³
>¢¼BâRomÛw)A¡i6õ¿O^ÎdHuõÊÝI¡GÁ'yzpÁ^íüýýý;Üù<Sewo#÷í:r#IYò5¿õ
>]ü�
>UÂuù[ÛÀY`}­uÕÂû.¾-ÜúmH¯Ñâ¤íÀP/ßûTå�ÓL¡nÕé`Ð(½hºÂo#÷n?x-I¿W=-]P1ÛK0~êú6Ô«7uGßwM)Aï£÷Ë¥÷U«6hj÷{&7ç#câ\cÏe\?pü	AàÚ?z¹�àÀ¥9xÚÔß65êù¶þ´ïÀOTÉyfÕ]kº9Z	¢ì'Û¦O¹Úý¯íu­ÊQݬ0@H\ö«Ü
>X¿s©c+ìIÈ´ßNVý|ê2ÖÑQ]¦-¯õ
>cRì	òBE	´Á/³hMùÖBöVìËäÌâ}[S£]çn5Hál:04Y¡±½øãgét}üSi ÷+Cö©FÃä\NÏäÜB/çwÃ#*^b¯ßn.`l<óÅNv<­�ø@°YÉ©äðYðÔ6¶JÉÛ¸GWNì]<*ìðÐ¥K7´ä	Üúþ²©oÅè¸YY*YHlƳӻ7¬ßr6%;C¥eÒí+q¢unúîQ/eÚª­W8ùób«n¿Æàq´%(­G»îÝjÂÁ¸{ü,¥®¯b*1ô~åS
>mhbÂåìâÂå=îãác"Ò?±>Ú³í¾Ãàåß¾>;äPt»¯k	´�àbéZ¿¯>îÐ#°óïÆn¹ÚoçÔÆüù/쨳b°â·}ÕaÛ÷;B×È»U7ã$O/_´ñÄýd%ì|,\ög¾énÅ+Û­	=ó,Ì\üu+{¦åì3Ë×yø*YÊýzú}»|Ó�sÇg¨,©?óàïíÓ·½IBòSÆøuYu³ß®s±ÈÅÚðÛºWc$[ýj¯ì¨È¦P:iÄêÄîËÖil&ËôôøÎþDDæVìQuOþÈ<?ïóNo$ùwGS"ÔÀË÷ʪ	Fï�r.*ow
>bSïì]½zWÄr"SÛõÚ~<.À§e_´®©@-ÇÚuiI
Û°)çæ~9ãºÏÏ!?·­R¸ðI:éê÷¢Ðû´È`ÔìݪEÚ»F{GëÒtDDfNºÛõݹçÉd^Ñ{âÓ·¯ADyû ¾¼ñm=;7¶¯·/·oíYµf×Éûoä<s×vãÎêT_°pEìÙãWÉâH`W¿ó7SÇv­)bM:»â§µ§¾Lñ¬Ý[tÿjÌWm]LÒ¶4fï"ßfQ«ÃÞ5_ýó÷Ù;qYdQë3'÷©#fr»W¬ÞõïÃd¥È¹q¯ü¶£HK-jßkÚ£ÕRE±½?»CµÓõ p×7x«¶ÍIso²o¯ü±`ÍÏÞHµ¬ýãkÓÝEÆ£é]cýîØDï£÷Ë°÷ËqØ)^êðèÃ/_¼Ð·ÿ@%«Ì±gr.´gý{.õúö¿Ó|ÇöiôñÛ^Ã÷ï¹7pJ#3C¬�øñ¬|j}hZDè­Ñ[YZ_åÓpcjç vàGïõk¸ÙÀé+Û×0I}-.ð÷Froý	a¢ÞA'¸+ïï[¶zÚ4«më¹*Ô/w̼c?töÔVÊ77ÃVm=ÃnÇúA5ÞjZïûu!+H±hêÖØ{7²âQúû:Eß)pÍÁÏxLöëj1.#råèYÉøÌ ,Òܺá®nM¡B±hìªg-fmÕØGr""ÓfÿðÈÄÊÙ^xã0ìëÎÂÛ{Wäíú5G¨=�UÑ#�mE©%}ôÃ_~~ü¥©£ 5rã¼­×e*ìxEíÂ5XÔ±¯@]ZRû6ù/�Ím¤È×/²Ç4ìúf,ºëÕcÚÍ-Y¨r½.¹WGÁéËbå^î"iÔ;Òj´rÎ;d¢Ã¦s1}}aûï«ÆÄó·­øÌÙ¤ÿ
>ÔäóqW§·	ìG¶²z"âÛÔï:bÖgvÖ¼ôW¬\8ËÉ{ÓneFÔµ[±ÕÎÚÐJx÷Ø_!³G¼Þ:·OË*M££JÊÌèÈ[±ÕÏð³E¯^¾q©uó/¾ñeu.êï«Ívi´ex-Iý4&$¥åSyãÎl^3÷»XÚ:¿S5¾Zú*Õ½×´E«¥
>¢c{¬Ê>èãJCkéMeÚ³¢«|>kJs;ÊÚ;èMñ¼oö0z½_.½_ÞUëÛ§\z¡P²çÎnÕ:@ɲ<QæO	_ÏÄM8³í¯õ/þv<Ó*½xîZ·ýÒ·
ÚÛòJ¼�àÃÆXx4v¡s¯&ËÕ$öª®¯±W¡LO#ï¦-zYñÈË'ÿZ.åò¦°zcBÇõvà5ðàߺ0ùèÙø¾Ýª]Þ¯?عq«~b¢&Êk#"ߨaÿnÌ檹yT#EïúuçcûÏVLïTݤpjª½B­ÀÓñJ46åò#N_üüem!5vOý_øZB¥É/¬X<ç¼Ç¸õ3;©|[bbéìáá;[hwÌÜ:·ñ5®-¿¸(gwÔÖ¨%Bí¨*îh+J.íÚϪôZ½`dCsHÂ?!Úú@·}Q[¸sh96TdßFÑZ#äÙ´þéàéÜí¢-|*~þ~áÒ.ißÂôk.¹JXdKªÒ·éò0>]|Læü{éõî.&ÙÑÿ^|[¥Uû¦¹7úM??15÷±í¼ó`TjK¯mØù̾ÿú_F~¤õ¾I{ëîDDä]Sòï?s/?ÉâfMDD"§Æ­[úܸêèK6^Kó*÷Lõ£YΨ¥Jääײ|ë(/ü3óM³n]ùÔÄ#ëßï¦|UË.ýêQöý×ÏþÖ·é?oÃþ¨vßzh¨¥Æ÷úh³4VQ
>í*¦A[K�ÞZÚ\moÖaÄ5û·È;Eþ>µÓOn³k;Ñûèý²îýr¬Zß>í÷îLÝ>¶»~}ï{÷îíÙÝ: #311a_<¾võ~½üåÝÿÙtÓÐ!â;´ÔdÝݧÚôvàp-��p%¸±¬ÈsÀÐ&§WMèÿ¸M¯ÀÏ;5ªnª"ËânGɹĥýÚ.}¿ÐúUJå
>²R-géêfE·2T 'ç$÷Cf®¹ï>bã÷~Ú¿§Õ\HqÈãï>Wû6u.üeö¦x'óÔÜ`²èôkp`ÍâÜ¡gYãÝQKe¾dq7g5jW×¼ÐkÜ},@û±¡KíÅP­ý¢û^$íC1b(F$<&=}Áá^÷ï_íÅÉ3ÕÚw­£&]çY{µp¥+w_dq®ñ³Í´r/ênȲ¸3!+CÂoE¿Î s39q^ÙÂÿZÓ¶5iõ¨,®ÆUÎG-M'2¦vNVõ:]AÄ'Ø®ª¢3dwãjü<Ûþ5iùgé\×êk1é«Ã{-_´«¨­õ¤UM¶Nä K«ôfóâÄóÇBëÞGïKïïW8M%¼KìuÈÄĤ¯ßëøø+.fd¤+
>K++ÚµõJì¥OxÎ&>ÿ®cÊÒ=Ç_vû²¦ Dk�>t\Æë1dêW»@ÍDqÑLkõ_²ÿãëÇ÷íÚñkÐ-Î_75 êû$åHÐxòq>ï¾ÐgL¬L_G¨_NñùKçxIJl?1\Ö½
?mm8nË Ú:<çD}!ÅÅ0DêËRÛ¶xvlr"|Ñò×Oï`_[ɪìº-´DX&TÕ÷ëVÉÏDý«Øý,@û±¡KíÅPý¢Ç^?"âÄ $<&}¦=×Í/<"Þ¡SWõ_9qGÄCı¹÷dÖJµcò­²Îcgoè |{ná
Bà1D,©XeÑ^i
>1òUæ="/àçDSQ¾øßÿ¢¡SS]÷Ñj«B» {¿ïÍâÅCñ¤õ�Fï£÷Ë¥÷ËýÀ+DS	zÃÁÁÑÑÑaǼ£Ï_Ì»{O$:ô¿~Ã;k¦|löâС'Ù%[�ðcS#CÖÚtèßÀ¢À*ÀLHIÑAå]ö	Z²}Ëw5ãm»ôþ7yÔ#½[Í<n.ULëôÙ˺·qNhrñ3{»ù´B§îÌ[§g©MZ45ò}]ºÎ\7¿+ÿàñëoe8#,Tc~�ú °÷tb2î^µ¨}Ñ·@½èR{ñ"TñþeúE¿½P²ÅFûÁPtJõÝ­g$µ_¿vÖÏ:þ¦V`wwµýÊÄk§¢ÉÙ×Ý8ø¸dÞ¹-ÕZ®ôeäsòè7¼O+ï:uë×­ªák,6õ¿K/©º·«Y¡He¦Ñ,÷5B-¡SÃZÌ;òâgSn&îZk)ò½¦­*´í%
>@÷6WéMím¥½ÙµÀè}ô~¹ô~9T]ì>Õ+`­t
¹÷LºËà^-?Rbwù¬Åê	áûî
Yüµ3ü´ÿ�P)¥Gݾ~í%+M{x5|ÿ±»¯¡KGûZüÛ"pð©%ܱaGÁÞ¦É	|ß.-«»åñg\Rº×v0goßKBGáûx6-¾êí0zï´)Â}¹)^Ä~ܧ£¦å:/Ú½(4Îñ³1µ3£>%"FhëâRøö�êä»QyQß0«Ý±nþÍ@·o·NÄû®K7ùó)¹·ûVß<ójz#üìãíkæbb0q鸸¯ÏøÍ{Ëì6Ut]
µ5jðR
@ÓÆùÚSùìÏ!öØÏû{UKÛVÃ:ÙLÜ:}åÈîõÌo¸I93ºìK^(:¨]j׶jHKçmÄt?òÆóNöµòN;É×/3uÛÕ¬ÎÍ¥BËÁÀÓÒêl½.sï~Ým_üJÐhú'Nªã46ò²Q¾¹{lã;bÿzÕϦÅð@§vMÊlâ"Ê~lÖ¸cc»×X¼ikØæÃÎÝëU1ÉNQ¨Îf^Û²ao_
ÓÄÛW_a}Æõr浤vO aÔÒÚjå´Ï­Ó~¶ÝÇ[{vóª«&-g|VKs-vIßkj£e« ®ÐØÞD¥Ó5ÎZнÍÕö¦ö3Å4þÉÛ à7V£÷ÑûeÚûu¬ùåUuíâôé»é°¶~Ò#±g/ï½,uÖÖ9ß¼yýî-ÌOÚó?ÏÌâ®Ý{c´okký¯�0Z<³*Öt÷ÀÜ	H`íâéÛuÊï»øTQ3(3ÖÚó§'°g¿íZT7)4f*Þ²{e¢±tkþÅI-UVƼᨵKlW®ß·jf¨ÈÌÁ·¿wÏ6
˾ùâõÅh"
>>"ï
>+!mÿZç¹{½fVÕl,òúfÍï¶k~ßýû̽R"¹}íæ
ìL46}ûGÌ
]úWÀÇ?;¼+EàÚgÖÔ+çü²¤ÏÜÖj/ê/5F¨JM�úÿA,¢÷{׬L"'ËêÖ"âY5¸jºxÉ­ÁéT¥V/÷HÐi_ô)P/ºÔ®yÕ
>{
ùÆÿþºÅ³öx|ñþK&~Ù1Gû^ä´4_å�[Ð\×æÊOãÁ ¥%ùêl}N°V¯^Û¿ÒúÝ÷ùî:Ú<a3ϪfóÏç}ݶs¿/µ^±6lù
>Tñþ|q»B½ÀcÈüI¿þµròQ9	Ìíê´¯*xw
>¥·w-}-ãÙÔí0fÕ¸>ÎïÃS»Jãh¦½)ÔÕ¾r¹xÙêÝs'ldMu¾îûÎö|͵ب}¯Éµì*
>íMlÞwz1Х͵ô¦v]¥³óÀír;ô>z¿L{Asóò«º}ú.±×1àãFkë©´Ô´ÔãGp'ÉÊ*üïÜé��à$½¿²Oë¿ÞTÊê8}Ô¶ÝÉJµ«Ú<TxUYXrZB*fiïö¢TûKsáåÕ'ÞüyëÎ?]ÏÒkUd¨hË|(OèýÐûE®2ºª
Ò§ù£:°w×ãÿ=yôàé£Ï?zò8úÙçQO_D?{ù<ª8§ï��TrlæËO^Ý
=(ôjâRò{­W¬êòH¢¯ÆX·ØÄGD$±ÿÕpµ·Hb®ìYÉ÷æk­×-Û^`Éå©ÔíEC~Ìý[¥Õ_j
>ÑPÊi
>½_ùS"±��($ûÑæIA'ÒmëÎغØ9aE­.Y£)¡{Y^Î¥¬$îÎÉ­ÇþKÈâÄÞmÇ,ÕÅ^¿Sç
^`Éå©Ôîõ³ßZ>*FKB)*§�*ô~åSN}ʤ¥¦Ñ³§:wë%H
>oqýêÅVíË*�������Èç`ØîúÞ
¡wϸ+Þãî������� ©ð=tvùÞ×þT��(FT���ʨÂ$öÙ÷×nß+ø\
>ÿgeFÔÕ+wc$z=	��raD���¨ì*LbÏ3«îZÓÍÑJÀäÿ��J#*���@eWaî/pëû˦¾�À
>���PÙé5c¯=2}`ç�ÿö}¾_t4ZÊi[ξ9³dôç½:øûûûûwì?vÕ¿qòØ·WÖMÖ§£¿¿¿¿aëeËoìß%8RBDª?«Ê
ê0hÅõTo®ÌÖÕßßß¿ó ëÏ'ȵ×�PþJs%R?0bD���¨ìô±çÛÔï:bÖgvÖ¼ôW¬\8ËÉ{ÓnMËÑ·bìÎÚÐJùæfت­³gØíX?¨iÎ^®òù¬)Íí(Cjï, 7ET®HX4vÕ³³6jl}oÍ	a¢ÞA'¸+ïï[¶zÚ4«më9j®� üê(*¹·^íÀ¨.¨����^=cæÞº;y×üûÏÜËO²¸Y3عq«~b¢&Êk#"ߨas¸Fsÿ~â²åZ{eòç÷·~f'.åܦ°zcBÇõvà5ðàߺ0ùèÙø~ý¨� \â(Ê¥Ò20æ��� rÑ+±Å	Y~+úuÉóÊVpDåùñ,]ݬèvBôþPyjn0Ytú58°¦)ÉânGɹĥýÚ.}¿õ«YªF�RP£¨#aD���¨tôHìåQ;&ÏØ*ë<vÆø·çNØ uy!|X-Æc¦_´üãõÓ;ر	O^3ÎG·	cbå`Jñª�ÀàJyÕq`Ä
>���PÙèØK_F>' á}Z9ò2ªPª¶å$té:saÀêïg¯j·î7°¨G2ûî^fªpÂm� +ÕQT óÀ��� ÑãJ·#=
Û|øâÝ<NQh_nX&vóÛ5ã·3)V-¾êí|`ÚÕûO_¾~õ|xXèiܬ�*¸REy6zQ���*=fìCæOLúõ¯ÊH`nW§}U£qyI*AàÚgÖÔ+çü²¤Í¹£Ö.±]¹~ߪ¡r"3ßþÞ=Û8òK\)�@©)ÝQ1o¨ÏÀ��� Ò`ÒRSèÂÙS»õJ
>>ç®_½Ø* }ý`Õ ÿ|¼6t¢·¨L+������¨pí®ïÝáñbrñwôº+~éc3_>|òênèD¡Way������PÁU°Ä>ûÑæIA'ÒmëÎØÚOT������Ю%öbßGÎÎ,ï(�������&Å������!{6íîþuk<Wót$-«�� J����(C$öÊ·{·¼¤æÉËZV�@����P8������À!±������0bzÝ_{döøUçb²8ØÕïüÍÔ±]ku·ÿêûøÁkßÖ³Ãqcûz[å}i qrs÷Õ»þ}¬97îñõßvt1Dì3Ë×yø*YÊýzú};Gi]ED7W¶-[zæY:¹4=ùëVö-Ë�ÊT±FQ���� Ú´©DôòEtíºõ
>5xÆžrus'""/ÙûvïûYW÷´·n9+îУ¡
M½u`_dkûÁ_
ù¬S}þÝ=[¶Ý²éØù#+U$}´éïÿª;àÇ1C:×_ÙúçÎÇ.Ûyó§×®=móùìÉC{¶o\õÕ±Û¯wìêcÍ'-«Hroí÷A»$m~:fpû	Ç6l8oÞ¡«µLÃr~Ù65�þ£(J���� zxÿ½}uab
>ÓkÆ1soÝ!'Ç÷®)ù÷¹d
q³&""ó&C¿éç'&¢æ>6±}wêñCFãªÚ«vFÙ÷_?gøG""jZß"¦ÿ¼
û£Ú}[ÄÎ[µô5ñT^\ùv@
{æULÊåMa1õÆëíÀ'jàÁ¿uaòѳñ}»=U»¼ßàzí<�@é=b¨���"éõMw&deHø­è×dn&'Î+[ÁÚgíÕ®Ü}ÅÕ1׸Ê5þÆló­ÜE¹«lúפå7¥sµ-ó¿ÈÒÕÍn'd(ɾÀ-TW±q·£ä\âÒ~m¾ßÀúUJå
>§U�(cz¢*��� Hÿ©hþyw����IEND®B`
Comment 6 tommy27 2013-07-31 17:32:31 UTC
Created attachment 83385 [details]
even larger screeeeeeeeeeshot :-)

i'm REOPENING this bug report

there're still issues with LibO 4.1.0.4 and autocorrect replacement table GUI.
tested on Win7 64bit.

if your autocorrect database contains very long entries the "replace" and the "with" fields still appear with extreme width. (see attached screenshot)

interestingly this just affect the empty "replace" and "with" fields while the two columns of previously inserted entries show different width and are not aligned with the above
Comment 7 tommy27 2013-07-31 17:35:51 UTC
Created attachment 83386 [details]
autocorrect database with long entry that trigger the bug

put the attached acor_it-IT.dat file under ...User\LibreOffice 4\user\autocorr
then open the autocorrect options menu, the replacement table will show the anomalous extreme width of the previous screenshot
Comment 8 tommy27 2013-08-01 05:09:14 UTC
long autocorrect entries gave no graphical troubles with the 4.0.4 release but started giving issues with the 4.1.x branch because of the new widget layout of such dialog window.

it seems that the replacement table GUI width adapts to the widht of the longer entry present in the database.

in the first screenshot, both the "replace/with" fields and columns of previously insert autocorrect entries had very large but symmetrical widht.

then Caolan committed a fix, which as far as I see, just fixed the enlargement of the columns (probably he set a maximum limit allowed to enlarge), while the "replace/with" fields still enlarge too much with no limits.
Comment 9 tommy27 2013-08-01 05:11:50 UTC
Created attachment 83412 [details]
autocorrect database with long entry that triggers the bug

I'm replacing the test autocorrect .dat file with one which more clearly shows the extreme enlargement of the replacement table.
Comment 10 Commit Notification 2013-08-01 10:50:12 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4938d06ad251e8e57ff66b185189d98587ca5104

Resolves: fdo#65609 restrict width of all user-controlled edis and lists



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 tommy27 2013-08-02 13:02:49 UTC
tested on 4.2.0.0 alpha0+
Build ID: 43dbc8088ba6f4f51ca455b1af41251d69befe86 

no more extreme enlargement of the replacement table fields happens, even with long entries. now the size seems fixed, regardless of the lenght of the autocorrect entry.

I mark this as RESOLVED FIXED.

backport to 4.1.1 would be important.
Comment 12 Commit Notification 2013-08-06 08:48:31 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d185b1d2ae6c24ec8c9a133741ad3dba9e5dc66e&h=libreoffice-4-1

Resolves: fdo#65609 restrict width of all user-controlled edis and lists


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 tommy27 2013-08-06 12:32:05 UTC
thank you very much for fixing and backporting it.